import request from '@/utils/request'

// 查询林木资产列表
export function listForest(query) {
  return request({
    url: '/asset/forest/list',
    method: 'get',
    params: query
  })
}

// 查询林木资产详细
export function getForest(id) {
  return request({
    url: '/asset/forest/get/' + id,
    method: 'get'
  })
}

// 新增林木资产
export function addForest(data) {
  return request({
    url: '/asset/forest/add',
    method: 'post',
    data: data
  })
}

// 修改林木资产
export function updateForest(data) {
  return request({
    url: '/asset/forest/edit',
    method: 'post',
    data: data
  })
}

// 删除林木资产
export function delForest(id) {
  return request({
    url: '/asset/forest/remove/' + id,
    method: 'get'
  })
}

// 导出林木资产
export function exportForest(query) {
  return request({
    url: '/asset/forest/export',
    method: 'get',
    params: query
  })
}
